<?php 

// For content width
if ( ! isset( $content_width ) )
	$content_width =1200;

// For Custom Header and Feedlinks
add_theme_support( 'custom-header' );
add_theme_support( 'automatic-feed-links' );

// for Menu
require_once('inc/wp_bootstrap_navwalker.php');

register_nav_menus( array( 'primary' => __( 'Primary Menu', 'buffercode' ),) );

// Post Thumbnail
add_filter( 'post_thumbnail_html', 'buffercode_post_thumbnail', 10, 3 );

function buffercode_post_thumbnail( $html, $post_id, $post_image_id ) {

  $html = '<a href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_the_title( $post_id ) ) . '">' . $html . '</a>';
  return $html;

}

//disabling toolbar for all users
show_admin_bar(false);

// Banner ads starts
 add_action('admin_menu', 'buffercode_theme_custom_options');

function buffercode_theme_custom_options() {
	add_theme_page('Top Banner Ads', 'Top Banner Ads', 'edit_theme_options', 'buffercode-top-banner', 'buffercode_theme_custom_options_function');
                add_theme_page('Custom Settings', 'Custom Settings', 'edit_theme_options', 'buffercode-custom-settings', 'buffercode_theme_social_function');
        }

function buffercode_theme_custom_options_function(){ 
     if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.', 'buffercode' ) );
    }
    if( isset($_POST[ 'hidden_field_name' ]) && $_POST[ 'hidden_field_name' ] == 'Y' ) {
        if(!empty($_POST['buffercode_TC_banner_728x80']) && !empty($_POST['buffercode_TC_banner_script']))
        {
            echo'<div class="error"><p><strong> Please add any one ads type, either upload banner or past script </strong></p></div>';
        }
        else{
            if(!empty($_POST['buffercode_TC_banner_728x80'])){
        $buffercode_TC_banner_728x80 = htmlentities( stripslashes( $_POST['buffercode_TC_banner_728x80'] ) , ENT_COMPAT );
        $buffercode_TC_banner_728x80_url = htmlentities( stripslashes( $_POST['buffercode_TC_banner_728x80_url'] ) , ENT_COMPAT );
        update_option('buffercode_banner_option_value', 1);
         
        update_option('buffercode_TC_banner_728x80', $buffercode_TC_banner_728x80);
        update_option('buffercode_TC_banner_728x80_url', $buffercode_TC_banner_728x80_url);
        update_option('buffercode_TC_banner_script','');
         echo'<div class="updated"><p><strong> Banner Image Added Successfully...</strong></p></div>';
        }
        elseif( !empty($_POST['buffercode_TC_banner_script'])){
            update_option('buffercode_banner_option_value', 2);
            $buffercode_TC_banner_script = htmlentities( stripslashes( $_POST['buffercode_TC_banner_script'] ) , ENT_COMPAT );
            update_option('buffercode_TC_banner_script', $buffercode_TC_banner_script);
            update_option('buffercode_TC_banner_728x80', '');
            update_option('buffercode_TC_banner_728x80_url','');
             echo'<div class="updated"><p><strong> Banner Script Added Successfully...</strong></p></div>';
        }
        else{
             update_option('buffercode_banner_option_value', 0);
             update_option('buffercode_TC_banner_728x80', '');
            update_option('buffercode_TC_banner_728x80_url','');
             update_option('buffercode_TC_banner_script','');
              echo'<div class="updated"><p><strong> Settings Saved... But neither Image nor script added</strong></p></div>';
        }
        }
    }
        ?>

    <form method="post" action="" name="bc_theme_upload">
        <h2>Top Banner Setting Page</h2>
      <table class="form-table">
          
        <tr valign="top">
            <td>
                <h4>Upload banner</h4>
                <label for="bc_theme_upload_image">
                    <input placeholder="image banner"  id="bc_theme_upload_image1" type="text" size="25" name="buffercode_TC_banner_728x80" value="<?php echo get_option('buffercode_TC_banner_728x80') ?>" />
                    <input class="upload_image_button" class="button" type="button" value="Upload Image" />
                    <br />Enter a URL (with http://) or upload an image size [728x80 px]<br /><br />
                    <input placeholder="Link for that image"  type="text" size="25" name="buffercode_TC_banner_728x80_url" value="<?php echo get_option('buffercode_TC_banner_728x80_url') ?>" />
                    <br />Enter a URL (with http://)
                </label>
                    <input type="hidden" name="hidden_field_name" value="Y">
                </td>
                </tr>
                 <tr valign="top">
                      <td>  [OR]</td>
                </tr>
                <tr valign="top">
            
                    <td><textarea placeholder="Past Script Here"  cols="40" rows="7" name="buffercode_TC_banner_script" value="" ><?php echo get_option('buffercode_TC_banner_script') ?></textarea></td>
                </tr>
                
                <tr valign="top">
                      <td><?php submit_button();  ?></td>
                </tr>
    </table>
    </form>
<?php    
}

function buffercode_TC_uploader_scripts() {
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_register_script('my-upload', get_template_directory_uri().'/js/upload-js.js');
wp_enqueue_script('my-upload');
}

function buffercode_TC_uploader_styles() {
wp_enqueue_style('thickbox');
}
add_action('admin_print_scripts', 'buffercode_TC_uploader_scripts');
add_action('admin_print_styles', 'buffercode_TC_uploader_styles'); 
// Banner ads end


//Custom - Social Information, Footer Link, Header Logo
function buffercode_theme_social_function(){ 
     if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.', 'buffercode' ) );
    }
    
    if(isset($_POST['hidden_social_name']) && $_POST['hidden_social_name']=='Y')
    {
            $buffercode_social_enable = isset($_POST['buffercode_social_enable']);
            $buffercode_TC_FB =$_POST['buffercode_TC_FB'];
             $buffercode_TC_linked =  $_POST['buffercode_TC_linked'];
            $buffercode_TC_Twitter =  $_POST['buffercode_TC_Twitter'];
            $buffercode_TC_GP = $_POST['buffercode_TC_GP'];
            $buffercode_TC_copy_text = $_POST['buffercode_TC_copy_text'];
            $buffercode_TC_copy_url = $_POST['buffercode_TC_copy_url'];
            $buffercode_TC_logo = $_POST['buffercode_TC_logo'];
            
            update_option( 'buffercode_social_enable',$buffercode_social_enable);
            update_option('buffercode_TC_FB',$buffercode_TC_FB);
            update_option('buffercode_TC_linked',$buffercode_TC_linked);
            update_option('buffercode_TC_Twitter',$buffercode_TC_Twitter);
            update_option('buffercode_TC_GP',$buffercode_TC_GP);
            update_option('buffercode_TC_copy_text',$buffercode_TC_copy_text);
            update_option('buffercode_TC_copy_url',$buffercode_TC_copy_url);
            update_option('buffercode_TC_logo',$buffercode_TC_logo);
            echo'<div class="updated"><p><strong> Updated Successfully...</strong></p></div>';
    }
    ?>
    
    <form method="post" action="" name="bc_theme_social">
        <h2>Custom Setting Page</h2>
      <table class="form-table">
          
          <tr valign="top">
            <td>
                <input type='checkbox' name='buffercode_social_enable' value='1' <?php if ( 1 == get_option('buffercode_social_enable') ) echo 'checked="checked"'; ?> />Enable the below Social ? If not you can use any plugin to add in social widget in widget location.
                
                </td>
        </tr>
          
        <tr valign="top">
            <td>
              <input placeholder="Facebook URL"  type="text" size="35" name="buffercode_TC_FB" value="<?php echo get_option('buffercode_TC_FB') ?>" />
            </td>
        </tr>
        
        <tr valign="top">
            <td>
              <input placeholder="Linkedin URL"  type="text" size="35" name="buffercode_TC_linked" value="<?php echo get_option('buffercode_TC_linked') ?>" />
            </td>
        </tr>
        
        <tr valign="top">
            <td>
              <input placeholder="Twitter URL"  type="text" size="35" name="buffercode_TC_Twitter" value="<?php echo get_option('buffercode_TC_Twitter') ?>" />
            </td>
        </tr>
        
        <tr valign="top">
            <td>
              <input placeholder="Google Plus URL"  type="text" size="35" name="buffercode_TC_GP" value="<?php echo get_option('buffercode_TC_GP') ?>" />
            </td>
        </tr>
        </table>
        <hr>
        <table class="form-table">
            <tr valign="top">
                <th>CopyRight Information [Footer Location]</th>
            <td>
              <input placeholder="Text to place"  type="text" size="35" name="buffercode_TC_copy_text" value="<?php echo get_option('buffercode_TC_copy_text') ?>" />
               <input placeholder="Link for that Text"  type="text" size="35" name="buffercode_TC_copy_url" value="<?php echo get_option('buffercode_TC_copy_url') ?>" />
            </td>
            </tr>
               <tr valign="top">
                   <th>Upload Logo</th>
            <td>
            <label for="bc_theme_upload_image">
                    <input placeholder="Logo"  id="bc_theme_upload_image2" type="text" size="25" name="buffercode_TC_logo" value="<?php echo get_option('buffercode_TC_logo') ?>" />
                    <input class="upload_image_button" class="button" type="button" value="Upload Image" />
                    <br />Enter a URL (with http://) or upload an image<br />
              </label>
            </td>
               </tr>
               
            <tr valign="top">
            <td>
              <input type="hidden" name="hidden_social_name" value="Y">
            </td>
            </tr>
         
        <tr valign="top">
                      <td><?php submit_button();  ?></td>
                </tr>
      </table>
    </form>
            
<?php }

//Adding featured image start

add_theme_support( 'post-thumbnails' ); 

//Adding featured image end

#Buffercode Script Location
function buffercode_style() {
	wp_enqueue_style( 'buffercode-style', get_stylesheet_uri() );
	wp_enqueue_style( 'buffercode-style-boot',  get_template_directory_uri().'/css/bootstrap.css');
}
add_action( 'wp_enqueue_scripts', 'buffercode_style' );

function buffercode_script() {
	wp_register_script('jquery-bootstrap', get_template_directory_uri() . '/js/bootstrap.js', array(), '3.0.3', true );
                wp_enqueue_script('jquery-bootstrap');
                wp_enqueue_script('jquery');
                
}
add_action( 'init', 'buffercode_script' );

#Buffercode - Comment Number with Link
function buffercode_comment_with_link(){
$buffercode_number_comments = get_comments_number(); 
				if ( comments_open() ) {
					if ( $buffercode_number_comments == 0 ) {
						$buffercode_comments = __('No Comments', 'buffercode' );
					} elseif ( $buffercode_number_comments > 1 ) {
						$buffercode_comments = $buffercode_number_comments . __(' Comments', 'buffercode' );
					} else {
						$buffercode_comments = __('1 Comment', 'buffercode' );
					}
					$buffercode_output_comments = '<a href="' . get_comments_link() .'">'. $buffercode_comments.'</a>';
				} else {
					$buffercode_output_comments =  __('Comments are off for this post.', 'buffercode' );
				}
				return $buffercode_output_comments;
}

#Buffercode - Comment List 
function buffercode_comment_list(){
$buffercode_comment_list_args = array(
	'walker'            => null,
	'max_depth'         => '',
	'style'             => '<div class="media-list">',
	'callback'          => null,
	'end-callback'      => null,
	'type'              => 'all',
	'reply_text'        => 'Reply',
	'page'              => '',
	'per_page'          => '20',
	'avatar_size'       => 32,
	'reverse_top_level' => null,
	'reverse_children'  => '',
	'format'            => 'xhtml', //or html5 @since 3.6
	'short_ping'        => false // @since 3.6
);
?>
<div class="commentlist">
	<?php
		$buffercod_post_id_comments=get_the_ID();
		//Gather comments for a specific page/post 
		$comments = get_comments(array(
			'post_id' => $buffercod_post_id_comments,
			'status' => 'approve' //Change this to the type of comments to be displayed
		));
		//Display the list of comments
		wp_list_comments($buffercode_comment_list_args, $comments);
	?>
</div>
<?php
}

#Buffercode sidebar
function buffercode_widgets() {

	register_sidebar( array(
		'name' => 'Right Sidebar',
		'id' => 'buffercode_right_sidebar',
		'before_widget' => '<div class="sidebar-bg">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="rounded">',
		'after_title' => '</h2>',
	) );
	
	register_sidebar( array(
		'name' => 'Left Footer',
		'id' => 'buffercode_left_footer',
		'before_widget' => '<div class="sidebar-bg">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="rounded">',
		'after_title' => '</h2>',
	) );
	register_sidebar( array(
		'name' => 'Center Footer',
		'id' => 'buffercode_center_footer',
		'before_widget' => '<div class="sidebar-bg">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="rounded">',
		'after_title' => '</h2>',
	) );
	register_sidebar( array(
		'name' => 'Right Footer',
		'id' => 'buffercode_right_footer',
		'before_widget' => '<div class="sidebar-bg">',
		'after_widget' => '</div>',
		'before_title' => '<h2 class="rounded">',
		'after_title' => '</h2>',
	) );
	
	register_sidebar( array(
		'name' => 'Social Network',
		'id' => 'buffercode_social_netw',
		'before_widget' => '<div class="buffercode_social_network">',
		'after_widget' => '</div>',
		'before_title' => '',
		'after_title' => '',
	) );
}
add_action( 'widgets_init', 'buffercode_widgets' );


//Comments

     add_filter( 'comment_form_default_fields', 'buffercode_comment_form_fields' );
    function buffercode_comment_form_fields( $fields ) {
    $commenter = wp_get_current_commenter();
    $req = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $html5 = current_theme_supports( 'html5', 'comment-form' ) ? 1 : 0;
    $fields = array(
 'author' => '<div class="form-group comment-form-author">' . '<label for="author">' . __( 'Name', 'buffercode') . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
    '<input placeholder="Enter Your Name" class="form-control" id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></div>',
'email' => '<div class="form-group comment-form-email"><label for="email">' . __( 'Email', 'buffercode') . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
    '<input placeholder="Enter You Email-ID" class="form-control" id="email" name="email" ' . ( $html5 ? 'type="email"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></div>',
'url' => '<div  class="form-group comment-form-url"><label for="url">' . __( 'Website', 'buffercode') . '</label> ' .
    '<input placeholder="Enter Your Web Address" class="form-control" id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></div>',
    );
    return $fields;
    }
	
    add_filter( 'comment_form_defaults', 'buffercode_comment_form_textarea' );
    function buffercode_comment_form_textarea( $args ) {
    $args['comment_field'] = '<div class="form-group comment-form-comment">
    <label for="comment">' . __( 'Comment', 'buffercode' ) . '</label>
    <textarea placeholder="Enter Your Comments" class="form-control" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea>
    </div>';
    return $args;
    }
	
    add_action('comment_form', 'buffercode_comment_button' );
    function buffercode_comment_button() {
    echo '<button class="btn btn-default" type="submit">' . __( 'Submit', 'buffercode' ) . '</button>';
    }

//Title
        add_filter( 'wp_title', 'buffercode_header_title', 10, 3 );
    function buffercode_header_title( $title, $sep, $seplocation )
    {
    global $page, $paged;
    // Don't affect in feeds.
    if ( is_feed() )
    return $title;
    // Add the blog name
    if ( 'right' == $seplocation )
    $title .= get_bloginfo( 'name' );
    else
    $title = get_bloginfo( 'name' ) . $title;
    // Add the blog description for the home/front page.
    $site_description = get_bloginfo( 'description', 'display' );
    if ( $site_description && ( is_home() || is_front_page() ) )
    $title .= " {$sep} {$site_description}";
    // Add a page number if necessary:
    if ( $paged >= 2 || $page >= 2 )
    $title .= " {$sep} " . sprintf( __( 'Page %s', 'buffercode' ), max( $paged, $page ) );
    return $title;
    }
    
//Author Social Information Starts
add_action( 'show_user_profile', 'buffercode_show_profile' );
add_action( 'edit_user_profile', 'buffercode_show_profile' );

function buffercode_show_profile( $user ) { ?>
<!--  Simple Author Widget -->
	<h3>Author Social Information</h3>
	<table class="form-table">
	<tr>
	<th><label for="buffercode_fb_label">Facebook ID</label></th>
	<td>
	<input name="buffercode_fb_textbox" class="regular-text" value="<?php echo esc_attr( get_the_author_meta( 'buffercode_fb_textbox', $user->ID ) ); ?>" /><br>
	<span class="description">Please enter your FB acount URL.<br>
	(eg) http://facebook.com/buffercode
	</span>
	</td>
	</tr>
	<!-- Buffercode.com Simple Author Widget -->
	<tr>
	<th><label for="buffercode_twitter_label">Twitter</label></th>
	<td>
	<input name="buffercode_twitter_textbox" class="regular-text" value="<?php echo esc_attr( get_the_author_meta( 'buffercode_twitter_textbox', $user->ID ) ); ?>" /><br>
	<span class="description">Please enter your Twitter account.<br>(eg) http://twitter.com/buffercode</span>
	</td>
	</tr>
	<!-- Buffercode Simple Author Widget -->
	<tr>
	<th><label for="buffercode_GP_label">Google Plus</label></th>
	<td>
	<input name="buffercode_GP_textbox" class="regular-text" value="<?php echo esc_attr( get_the_author_meta( 'buffercode_GP_textbox', $user->ID ) ); ?>" /><br>
	<span class="description">Please enter your Google Plus account <br>(eg) https://plus.google.com/+buffercode</span>
	</td>
	</tr>
	<!-- Buffercode  Simple Author Widget -->
	<tr>
	<th><label for="buffercode_LI_label">Linked In</label></th>
	<td>
	<input name="buffercode_LI_textbox" class="regular-text" value="<?php echo esc_attr( get_the_author_meta( 'buffercode_LI_textbox', $user->ID ) ); ?>" /><br>
	<span class="description">Please enter your Linked In account <br> (eg) http://in.linkedin.com/in/mavinothkumar/</span>
	</td>
	</tr>
</table>
<!-- Buffercode Simple Author Widget -->
<?php
}
add_action( 'personal_options_update', 'buffercode_edit_save_profile' );
add_action( 'edit_user_profile_update', 'buffercode_edit_save_profile' );

function buffercode_edit_save_profile( $user_id ) {
	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;
	update_user_meta($user_id, 'buffercode_fb_textbox', $_POST['buffercode_fb_textbox'] );
	update_user_meta($user_id, 'buffercode_twitter_textbox', $_POST['buffercode_twitter_textbox'] );
	update_user_meta($user_id, 'buffercode_GP_textbox', $_POST['buffercode_GP_textbox'] );
	update_user_meta($user_id, 'buffercode_LI_textbox', $_POST['buffercode_LI_textbox'] );
	
}
// Author Social Ends
?>

