<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Buffercode
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php $buffercode_TC_logo = get_option('buffercode_TC_logo'); ?>
<div id="page" class="container">
	<?php do_action( 'before' ); ?>
	<header class="row" role="banner">
		<div class="col-md-8 mobile-head">
                                    <?php if(!empty($buffercode_TC_logo)){ ?>
                                            <span class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php echo $buffercode_TC_logo; ?>" alt="<?php bloginfo( 'name' ); ?>"/></a></span>
                                     <?php } else {?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                                        <?php } ?>
		</div>
<div class="col-md-4" >
			<div class="row">
			<form role="search"  method="get" class="search-form" action="<?php echo home_url( '/' ); ?>">
				<div class="col-md-12">
					<div class="input-group">
						<input type="search" class="search-field form-control"  placeholder="Search" value="" name="s" title="Search for:">
							<span class="input-group-btn">
								<button type="submit" class="search-submit btn btn-default" value="Search">Go!</button>
							</span>
					</div><!-- /input-group -->
				</div><!-- /.col-lg-6 -->
			</form>

		</div>
		</div>
            
	</header><!-- #masthead -->
        <nav class="navbar navbar-default" role="navigation">
            
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="container">
        <div class="navbar-header">
            
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            
        </div>

        <?php
            wp_nav_menu( array(
                'menu'              => 'primary',
                'theme_location'    => 'primary',
                'depth'             => 2,
                'container'         => 'div',
                'container_class'   => 'collapse navbar-collapse navbar-ex1-collapse',
                'menu_class'        => 'nav navbar-nav dropdown',
                'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                'walker'            => new wp_bootstrap_navwalker())
            );
        ?>
    </div>
</nav>
	<div  class="row">
            <?php 
            $buffercode_banner_option_value =  get_option('buffercode_banner_option_value');
            $buffercode_TC_banner_script = get_option('buffercode_TC_banner_script');
            switch($buffercode_banner_option_value)
            {   
                case 1:
                     echo '<div class="col-md-8 buffercode_top_ads_728x90"><a href="'.get_option('buffercode_TC_banner_728x80_url').'"><img src="'. get_option('buffercode_TC_banner_728x80').'" /></a></div>'; 
                    break;
                case 2:
                     echo '<div class="col-md-8 buffercode_top_ads_728x90">'.html_entity_decode( $buffercode_TC_banner_script, ENT_COMPAT ).'</div>'; 
                    break;
                case 0:
                 echo '<div class="col-md-8 buffercode_top_ads_728x90"></div>';
                    break;
                default:
                    echo '<div class="col-md-8 buffercode_top_ads_728x90"></div>';
                    
            }
            ?>
		<div class="col-md-4 social-hide"><?php if ( ! dynamic_sidebar( 'buffercode_social_netw' ) ){ ?>
                    
                    <div class="row social">
                        
                        <?php if ( 1 == get_option('buffercode_social_enable')) {
                      $buffercode_TC_FB =  get_option('buffercode_TC_FB');
                      $buffercode_TC_linked = get_option('buffercode_TC_linked');
                      $buffercode_TC_Twitter = get_option('buffercode_TC_Twitter');
                      $buffercode_TC_GP = get_option('buffercode_TC_GP');
                      
                        if(!empty($buffercode_TC_FB)) { ?><div class="col-md-2 thumbnail"><a href="<?php echo $buffercode_TC_FB; ?>"><img src="<?php echo get_template_directory_uri().'/images/facebook.png'; ?>" alt="Facebook"/></a></div> <?php } if(!empty($buffercode_TC_linked)) {?>
                        <div class="col-md-2 thumbnail"><a href="<?php echo get_option('buffercode_TC_linked'); ?>"><img src="<?php echo get_template_directory_uri().'/images/linkedin.png'; ?>" alt="LinkedIn"/></a></div> <?php } if(!empty($buffercode_TC_Twitter)) {?>
                        <div class="col-md-2 thumbnail"><a href="<?php echo get_option('buffercode_TC_Twitter'); ?>"><img src="<?php echo get_template_directory_uri().'/images/twitter.png'; ?>" alt="Twitter"/></a></div><?php } if(!empty($buffercode_TC_GP)) {?>
                        <div class="col-md-2 thumbnail"><a href="<?php echo get_option('buffercode_TC_GP'); ?>"><img src="<?php echo get_template_directory_uri().'/images/google-plus.png'; ?>" alt="Google Plus"/></a></div> <?php } ?>
                        
                        <?php }} ?></div>
	</div>
	
	<div id="content" class="row hfeed">
